/***************************************************************************
                          procwidget.cpp  -  description
                             -------------------
    begin                : Mon Jan 6 2003
    copyright            : (C) 2003 by Matt
    email                : mosixview@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "procwidget.h"

string parsemyname(string firstpart) {
string endstr;
string::iterator p = firstpart.begin();
	for (p=firstpart.begin(); p!=firstpart.end(); p++) {
		string tmpstr;
		tmpstr = *p;
		if(tmpstr==",") {
			return endstr;
		}
		endstr = endstr + tmpstr;
	}
	return endstr;
}


// constructor
procwidget::procwidget(QWidget *parent, const char *name ) : QLabel(parent,name) {


  myname=parsemyname(name);
  this->setGeometry(0,0,5,5);
  this->setMinimumSize(0,0);

  QString proctip;
  proctip.sprintf("PID %s", name);
  QToolTip::add(this, proctip);

  // for drag + drop
  ddButton = LeftButton;

}

// destructor
procwidget::~procwidget(){
}



string procwidget::getmyname() {
  return myname;
}





