Name: openmosixview
Summary: /
Version: 1.4
Release: redhat80
Group: cluster management
Copyright: GPL
Packager: M. Rechenburg
Distribution: RPM-SOURCE DISTRIBUTION
Prefix: /
BuildRoot: /tmp/openmosixview
Source: openmosixview-1.4.tar.gz
Provides: openmosixview+openmosixprocs+openmosixcollector+openmosixanalyzer+openmosixhistory+3dmosmon
Url: http://www.openmosixview.com
Vendor: M. Rechenburg

%description
an openMosix-cluster management GUI

%Files
%defattr(-,root,root)
/usr/bin/openmosixview
/usr/bin/openmosixcollector
/usr/bin/openmosixanalyzer
/usr/bin/openmosixhistory
/usr/bin/openmosixprocs
/usr/bin/openmosixmigmon
/usr/bin/3dmosmon
/usr/bin/mosstatd
/etc/init.d/mosstatd
/etc/init.d/openmosixcollector
/usr/local/openmosixview-1.4/*

%prep
%setup
autoconf
./configure --prefix=/tmp/openmosixview/usr
cd openmosixcollector
autoconf
./configure --prefix=/tmp/openmosixview/usr
cd ..
cd openmosixanalyzer
autoconf
./configure --prefix=/tmp/openmosixview/usr
cd ..
cd openmosixhistory
autoconf
./configure --prefix=/tmp/openmosixview/usr
cd ..
cd openmosixprocs
autoconf
./configure --prefix=/tmp/openmosixview/usr
cd ..
cd openmosixmigmon
autoconf
./configure --prefix=/tmp/openmosixview/usr
cd ..




%build
make
cd openmosixcollector
make
cd ..
cd openmosixanalyzer
make
cd ..
cd openmosixhistory
make
cd ..
cd openmosixprocs
make
cd ..
cd openmosixmigmon
make
cd ..


%install
rm -rf $RPM_BUILD_ROOT
make ROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/local/openmosixview-1.4/openmosixview/docs/en 1>/dev/null 2>&1
/bin/cp -rf openmosixview/docs/en/* $RPM_BUILD_ROOT/usr/local/openmosixview-1.4/openmosixview/docs/en
/bin/cp -f AUTHORS COPYING INSTALL TODO $RPM_BUILD_ROOT/usr/local/openmosixview-1.4/
cd openmosixcollector
make ROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/init.d/ 1>/dev/null 2>&1
/bin/cp -f openmosixcollector.init $RPM_BUILD_ROOT/etc/init.d/openmosixcollector
chmod +x $RPM_BUILD_ROOT/etc/init.d/openmosixcollector
cd ..
cd openmosixanalyzer
make ROOT=$RPM_BUILD_ROOT install
cd ..
cd openmosixhistory
make ROOT=$RPM_BUILD_ROOT install
cd ..
cd openmosixprocs
make ROOT=$RPM_BUILD_ROOT install
cd ..
cd openmosixmigmon
make ROOT=$RPM_BUILD_ROOT install
cd ..
cd 3dmon/
./setup.standalone
mkdir -p $RPM_BUILD_ROOT/etc/init.d/ 1>/dev/null 2>&1
mkdir -p $RPM_BUILD_ROOT/usr/bin/ 1>/dev/null 2>&1
/bin/mv -f /usr/bin/3dmosmon $RPM_BUILD_ROOT/usr/bin/
/bin/mv -f /usr/bin/mosstatd $RPM_BUILD_ROOT/usr/bin/
/bin/mv -f /etc/init.d/mosstatd $RPM_BUILD_ROOT/etc/init.d/
cd ..

%clean
rm -rf $RPM_BUILD_ROOT



